**Set Central Directory*
cd /*File path*/

import delimited "Digital_Trade_Data.csv", clear


foreach v of var any_ecommerce no_electronic_duties free_data_flow {
	replace `v'=0 if agree_pta==0
}

encode importer_iso3, generate(importer)
encode exporter_iso3, generate(exporter)

*Regression estimations, for the six  sectors covered 
foreach ind of numlist 158/163	169	{

	ppmlhdfe trade agree_pta any_ecommerce  member_eu_joint if industry_id==`ind', absorb(i.importer#i.year i.exporter#i.year i.exporter#i.importer) cluster(i.importer#i.exporter)
	outreg2 using "any_ecommerce", br se  excel  ctitle(`ind')

	ppmlhdfe trade agree_pta no_electronic_duties member_eu_joint if industry_id==`ind', absorb(i.importer#i.year i.exporter#i.year i.exporter#i.importer) cluster(i.importer#i.exporter)
	outreg2 using "electronic_duties", br se excel  ctitle(`ind')
	
	ppmlhdfe trade agree_pta free_data_flow member_eu_joint if industry_id==`ind', absorb(i.importer#i.year i.exporter#i.year i.exporter#i.importer) cluster(i.importer#i.exporter)
	outreg2 using "data_localization", br se excel  ctitle(`ind')
}
